/* This is a driver program to test function sum().
 
   Input:    an integer n 
   Output:   the sum of the integers from 1 through n
-------------------------------------------------------*/

#include <iostream>   // cout, cin, <<, >>
#include <cassert>
using namespace std;

int sum(int n);      // prototype for sum()

int main()
{
  cout << "This program computes the sum 1 + 2 + ... + n.\n";
  cout << "Enter a value for n: ";
  int n;
  cin >> n;
  cout << "--> 1 + ... + " << n << " = " << sum(n) << endl;
}

/* Function to compute the sum of the integers from 1 to n.

  Receive: n, an integer
  Return:  the sum 1 + 2 + ... + n (0 if n < 0)
-------------------------------------------------------*/

int sum (int n)
{ 
  return n*(n + 1) / 2;
}
